<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Contract\Repository;


use B2W\SkyHub\Model\Queue\MessageAbstract;

/**
 * Interface QueueDbRepositoryInterface
 * @package B2W\SkyHub\Contract\Repository
 */
interface QueueDbRepositoryInterface
{
    /**
     * @param MessageAbstract $message
     * @return mixed
     */
    public function add(MessageAbstract $message);

    /**
     * @param null|string $type
     * @return mixed
     */
    public function get($type = null);

    /**
     * @param MessageAbstract $message
     * @return mixed
     */
    public function ack(MessageAbstract $message);

    /**
     * @param MessageAbstract $message
     * @return mixed
     */
    public function error(MessageAbstract $message);
}
