<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2019 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

namespace B2W\SkyHub\Controller\Admin;

use B2W\SkyHub\View\Admin\ViewAbstract;
use B2W\SkyHub\Model\Entity\SettingsApiEntity;
use B2W\SkyHub\View\Admin\Admin;

class SettingsApi extends AdminControllerAbstract
{
    /**
     * Save settings API SkyHub
     *
     * @return void
     */
    public function save()
    {
        $post = $_POST;
        if (!isset($post[ViewAbstract::NONCE_FIELD])) {
            return $this;
        }

        if (!$post['email'] || !$post['apiKey']) {
            return $this;
        }

        if (!($this->validateNonce() && current_user_can( 'manage_options' ))) {
            $this->_redirect();
            exit;
        }

        $settingsApi = new SettingsApiEntity();
        $settingsApi->setEmail($post['email']);
        $settingsApi->setApiKey($post['apiKey']);
        $settingsApi->setOrderIntegration($post['order_inegration']);
        $settingsApi->setOrderIntegrationApi($post['order_inegration_api']);
        $settingsApi->setProductIntegration($post['product_inegration']);
        $settingsApi->setQtyStockDefault($post['qtyStockDefaul']);
        $settingsApi->setXAccountKey('UuNEignxrb');
        $settingsApi->save();

        $this->_redirect('admin.php?page=' . Admin::SLUG_SETTINGS_API_EDIT);
    }
}