<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2019 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

namespace B2W\SkyHub\Model;

use B2W\SkyHub\Model\Entity\SettingsApiEntity;

class Api
{
    /**
     * @var \SkyHub\Api
     */
    protected $api = null;

    /**
     * PostAbstract constructor.
     */
    private function __construct()
    {
        return $this;
    }

    /**
     * @return $this
     */
    private function __clone()
    {
        return $this;
    }

    public static function instantiate()
    {
        static $instance = false;

        if ($instance === false) {
            $instance = new static();
        }

        return $instance;
    }

    public function apiService()
    {
        return $this->api()->service();
    }

    public function api()
    {
        if (is_null($this->api)) {
            $settingsApi = new SettingsApiEntity();
            $settingsApi->map();

            $email          = $settingsApi->getEmail();
            $apiKey         = $settingsApi->getApiKey();
            $xAccountKey    = $settingsApi->getXAccountKey();

            $this->api = new \SkyHub\Api($email, $apiKey, $xAccountKey);
        }

        return $this->api;
    }
}
