<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Entity;

/**
 * Class EntityAbstract
 * @package B2W\SkyHub\Model\Entity
 */
abstract class EntityAbstract
{
    /**
     * @return array
     */
    public function toArray()
    {
        $props  = get_object_vars($this);
        $result = array();

        foreach ($props as $k => $v) {
            if ($v instanceof EntityAbstract) {
                $result[$k] = $v->toArray();
                continue;
            }

            $result[$k] = $v;
        }

        return $result;
    }
}
