<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Entity\Order;

use B2W\SkyHub\Contract\Entity\Order\InvoiceEntityInterface;
use B2W\SkyHub\Model\Entity\EntityAbstract;

/**
 * Class InvoiceEntity
 * @package B2W\SkyHub\Model\Entity\Order
 */
class InvoiceEntity extends EntityAbstract implements InvoiceEntityInterface
{
    /** @var string */
    protected $_key         = null;
    /** @var string */
    protected $_number      = null;
    /** @var string */
    protected $_line        = null;
    /** @var \DateTime */
    protected $_issueDate   = null;

    /**
     * @return string
     */
    public function getKey()
    {
        return $this->_key;
    }

    /**
     * @param string $key
     */
    public function setKey($key)
    {
        $this->_key = $key;
    }

    /**
     * @return string
     */
    public function getNumber()
    {
        return $this->_number;
    }

    /**
     * @param string $number
     */
    public function setNumber($number)
    {
        $this->_number = $number;
    }

    /**
     * @return string
     */
    public function getLine()
    {
        return $this->_line;
    }

    /**
     * @param string $line
     */
    public function setLine($line)
    {
        $this->_line = $line;
    }

    /**
     * @return \DateTime
     */
    public function getIssueDate()
    {
        return $this->_issueDate;
    }

    /**
     * @param \DateTime $issueDate
     */
    public function setIssueDate($issueDate)
    {
        $this->_issueDate = $issueDate;
    }
}
