<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Entity\Product;

use B2W\SkyHub\Contract\Entity\Product\Attribute\OptionEntityInterface;
use B2W\SkyHub\Model\Entity\EntityAbstract;

/**
 * Class SpecificationEntity
 * @package B2W\SkyHub\Model\Entity\Product
 */
class SpecificationEntity extends EntityAbstract implements \B2W\SkyHub\Contract\Entity\Product\SpecificationEntityInterface
{
    /** @var AttributeEntity */
    protected $_attribute = null;
    /** @var OptionEntityInterface */
    protected $_option = null;
    /** @var String $_value*/
    protected $_value = null;

    /**
     * @return AttributeEntity
     */
    public function getAttribute()
    {
        return $this->_attribute;
    }

    /**
     * @param AttributeEntity $attribute
     * @return $this|mixed
     */
    public function setAttribute($attribute)
    {
        $this->_attribute = $attribute;
        return $this;
    }

    /**
     * @return \B2W\SkyHub\Contract\Entity\Product\Attribute\OptionEntityInterface
     */
    public function getOption()
    {
        return $this->_option;
    }

    /**
     * @param OptionEntityInterface $option
     * @return $this|mixed
     */
    public function setOption($option)
    {
        $this->_option = $option;
        return $this;
    }

    /**
     * Get the value of _value
     */ 
    public function getValue()
    {
        return $this->_value;
    }

    /**
     * Set the value of _value
     *
     * @return  self
     */ 
    public function setValue($_value)
    {
        $this->_value = $_value;

        return $this;
    }
}
