<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2019 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

namespace B2W\SkyHub\Model\Queue\Worker;

use \B2W\SkyHub\Model\Repository\OrderDbRepository;
/**
 * Class ProductUpdateWorker
 * @package B2W\SkyHub\Model\Queue\Worker
 */
class ProductUpdateWorker
{
    /**
     * @param $productId
     * @return $this
     * @throws \B2W\SkyHub\Exception\Data\RepositoryNotFound
     */
    public function run($productId)
    {
        $product    = $this->_getProduct($productId);
        if (!$product) {
            return false;
        }

        /** TODO TEST THIS */
        if ($product->getQty() <= 0 || $product->getQty() == null) {
            $stockStatus = get_metadata('post', $productId, '_stock_status');
            if ($stockStatus[0] == OrderDbRepository::INSTOCK) {
                $settingsAPI = new \B2W\SkyHub\Model\Entity\SettingsApiEntity();
                $settingsAPI->map();
                $product->setQty($settingsAPI->getQtyStockDefault());
            }
        }

        $response = \App::apiRepository(\App::REPOSITORY_PRODUCT_API)->save($product);
        if ($response->success()) {
            $skyhub_product_integrated = get_metadata('post', $productId, '_skyhub_product_integrated');

            if (!$skyhub_product_integrated) {
                add_metadata('post', $productId, '_skyhub_product_integrated', 'true');
            }
        }
        return $response;
    }

    /**
     * @param $productId
     * @return mixed
     * @throws \B2W\SkyHub\Exception\Data\RepositoryNotFound
     */
    protected function _getProduct($productId)
    {
        return \App::repository(\App::REPOSITORY_PRODUCT)->one($productId);;
    }
}
