<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Repository\Order;

use B2W\SkyHub\Contract\Entity\OrderEntityInterface;
use B2W\SkyHub\Contract\Repository\Order\AddressRepositoryInterface;
use B2W\SkyHub\Model\Entity\Order\AddressEntity;

/**
 * Class AddressDbRepository
 * @package B2W\SkyHub\Model\Repository\Order
 */
class AddressDbRepository implements AddressRepositoryInterface
{
    /**
     * @param OrderEntityInterface $order
     * @param string $type
     * @return \B2W\SkyHub\Contract\Entity\Order\AddressEntityInterface
     */
    public function load(OrderEntityInterface $order, $type = 'billing')
    {
        $address = new AddressEntity();
        return $address;
    }

    /**
     * @param OrderEntityInterface $order
     * @return \B2W\SkyHub\Contract\Entity\Order\AddressEntityInterface
     */
    public function billing(OrderEntityInterface $order)
    {
        return $this->load($order, self::TYPE_BILLING);
    }

    /**
     * @param OrderEntityInterface $order
     * @return \B2W\SkyHub\Contract\Entity\Order\AddressEntityInterface
     */
    public function shipping(OrderEntityInterface $order)
    {
        return $this->load($order, self::TYPE_SHIPPING);
    }
}
