<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2019 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

namespace B2W\SkyHub\Model\Setup;

use B2W\SkyHub\Model\Queue\Message\ProductUpdateMessage;
use B2W\SkyHub\Model\Repository\ProductDbRepository;

class Product
{
    /**
     * @return $this
     */
    public function install()
    {
        $product = new ProductDbRepository();
        $data = $product->find();

        if (!$data) {
            return;
        }

        foreach ($data->toArray() as $value) {
            $productIntegrated = get_metadata('post', $value['_id'], '_skyhub_product_integrated');
            if ($productIntegrated) {
                continue;
            }
            $message = new ProductUpdateMessage((String)$value['_id']);
            \App::repository(\App::REPOSITORY_QUEUE)->add($message);
        }
    }
}