<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Transformer\Customer;

use B2W\SkyHub\Model\Entity\CustomerEntity;
use B2W\SkyHub\Model\Map\CustomerMap;
use B2W\SkyHub\Model\Repository\CustomerDbRepository;
use B2W\SkyHub\Model\Transformer\ApiToEntityAbstract;

/**
 * Class ApiToEntity
 * @package B2W\SkyHub\Model\Transformer\Customer
 */
class ApiToEntity extends ApiToEntityAbstract
{
    /**
     * @return CustomerMap|mixed
     */
    protected function _getMapInstance()
    {
        return new CustomerMap();
    }

    /**
     * @return \B2W\SkyHub\Contract\Entity\CustomerEntityInterface|CustomerEntity|mixed|null
     * @throws \B2W\SkyHub\Exception\Data\RepositoryNotFound
     * @throws \B2W\SkyHub\Exception\Data\TransformerNotFound
     */
    public function _getEntityInstance()
    {
        $data       = $this->_prepareData();
        $document   = preg_replace('/[^0-9]+/', '', $data['customer']['vat_number']);
        /** @var CustomerDbRepository $repo */
        $repo       = \App::repository(\App::REPOSITORY_CUSTOMER);
        $customer   = strlen($document) <= 11 ? $repo->cpf($document) : $repo->cnpj($document);
        return $customer ? $customer : new CustomerEntity();
    }
}
