<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Transformer\Order\Address;

use B2W\SkyHub\Model\Entity\Order\AddressEntity;
use B2W\SkyHub\Model\Map\MapAttribute;
use B2W\SkyHub\Model\Map\Order\AddressMap;
use B2W\SkyHub\Model\Transformer\DbToEntityAbstract;

/**
 * Class DbToEntity
 * @package B2W\SkyHub\Model\Transformer\Order\Address
 */
class DbToEntity extends DbToEntityAbstract
{
    /**
     * @return mixed
     */
    protected function _getAttributeMap()
    {
        $map = new AddressMap();
        return $map->map();
    }

    /**
     * @return AddressEntity|null
     */
    public function _getEntityInstance()
    {
        $entity = new AddressEntity();
        $entity->setType($this->_getAddrType());
        return $entity;
    }

    /**
     * @return string
     */
    protected function _getAddrType()
    {
        return $this->_attribute->getSkyhub() == 'billing_address'
            ? 'billing'
            : 'shipping';
    }

    /**
     * @param $attribute
     * @return mixed|null
     */
    protected function _getPostValue(MapAttribute $attribute)
    {
        $local = str_replace('{{ADDR_TYPE}}', '_' . $this->_getAddrType(), $attribute->getWordpress());
        $attribute->setWordpress($local);
        return parent::_getPostValue($attribute);
    }
}
