<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Transformer\Order\Shipping;

use B2W\SkyHub\Model\Entity\Order\ItemEntity;
use B2W\SkyHub\Model\Transformer\DbToEntityAbstract;

/**
 * Class DbToEntity
 * @package B2W\SkyHub\Model\Transformer\Order\Shipping
 */
class DbToEntity extends DbToEntityAbstract
{
    /** @var \B2W\SkyHub\Model\Entity\OrderEntity */
    protected $_parentEntity = null;

    /**
     * @return null
     */
    protected function _getEntityInstance()
    {
        return null;
    }

    /**
     * @return mixed|null
     */
    protected function _getAttributeMap()
    {
        return null;
    }

    /**
     * @return null
     * @throws \B2W\SkyHub\Exception\Data\RepositoryNotFound
     */
    public function convert()
    {
        $items = \App::repository(\App::REPOSITORY_ORDER_ITEM)->shippingItem($this->_post);

        /** @var ItemEntity $item */
        foreach ($items as $item) {

            $this->_parentEntity->setShippingCost($item->getShippingCost());
            $this->_parentEntity->setShippingMethod($item->getName());

            break;
        }

        return null;
    }
}
