<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Transformer\Product\Variation\Collection;

use B2W\SkyHub\Model\Entity\Product\VariationEntity;
use B2W\SkyHub\Model\Resource\Collection;
use B2W\SkyHub\Model\Transformer\DbToEntityAbstract;

/**
 * Class DbToEntity
 * @package B2W\SkyHub\Model\Transformer\Product\Variation
 */
class DbToEntity extends DbToEntityAbstract
{
    /**
     * @return Collection|null
     */
    protected function _getEntityInstance()
    {
        return new Collection();
    }

    /**
     * @return array|mixed
     */
    protected function _getAttributeMap()
    {
        return array();
    }

    /**
     * @return \B2W\SkyHub\Model\Resource\Collection
     * @throws \B2W\SkyHub\Exception\Data\RepositoryNotFound
     */
    public function convert()
    {
        $collection = \App::repository(\App::REPOSITORY_PRODUCT_VARIATION)->load($this->_post);

        /** @var VariationEntity $variation */
        foreach ($collection as $variation) {
            $variation->setParent($this->_parentEntity);
        }

        return $collection;
    }
}
