<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\Model\Transformer\Product\Variation\Specification;

use B2W\SkyHub\Model\Entity\Product\SpecificationEntity;
use B2W\SkyHub\Model\Resource\Collection;
use B2W\SkyHub\Model\Transformer\DbToEntityAbstract;

/**
 * Class DbToEntity
 * @package B2W\SkyHub\Model\Transformer\Product\Variation\Specification
 */
class DbToEntity extends DbToEntityAbstract
{
    /**
     * @return array|mixed
     */
    protected function _getAttributeMap()
    {
        return array();
    }

    /**
     * @return Collection
     * @throws \B2W\SkyHub\Exception\Data\RepositoryNotFound
     * @throws \B2W\SkyHub\Exception\Helper\HelperNotFound
     */
    public function _getEntityInstance()
    {
        $collection = new Collection();

        foreach ($this->_meta as $key => $meta) {
            if (strpos($key, 'attribute_') !== 0) {
                continue;
            }

            if (strpos($key, 'attribute_') === 0) {
                $code       = str_replace('attribute_', '', $key);
            }
            
            if (strpos($code, 'pa_') === 0) {
                $code       = str_replace('pa_', '', $code);
            }
            
            $value      = current($meta);
            $attribute  = \App::repository(\App::REPOSITORY_PRODUCT_ATTRIBUTE)->code($code, (int)$this->_post->ID);
            $option     = \App::helper('catalog/product/attribute')->getOption($attribute, $value);

            $spec = new SpecificationEntity();

            if (!$option) {
                $spec->setAttribute($code)
                ->setValue($value);
            } else {            
                $spec->setAttribute($attribute)
                    ->setOption($option);
            }

            $collection->addItem($spec);
        }

        return $collection;
    }
}
