<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2019 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */

namespace B2W\SkyHub\View\Admin;

abstract class GridAbstract extends \WP_List_Table
{
    /**
     * @inheritdoc
     */   
    public function prepare_items()
    {
        $this->_loadItems();
        $this->_column_headers = array($this->get_columns(), array(), $this->get_sortable_columns());

        $screen     = get_current_screen();
        $columns    = $this->get_columns();

        $this->set_pagination_args(
            array(
                'total_items'   => count($this->items),
                'total_pages'   => 1,
                'per_page'      => count($this->items),
            )
        );

        $_wp_column_headers[$screen->id] = $columns;
    }

    /**
     * @inheritdoc
     */
    public function display_rows()
    {
        $records = $this->items;

        if (!empty($records)) {
            foreach ($records as $record){
                $this->_renderRow($record);
            }
        }
    }

    /**
     * @param $rowData
     */
    protected function _renderRow($rowData)
    {
        echo '<tr id="record_">';

        foreach ($this->get_columns() as $colCode => $colTitle) {
            echo '<td>';
            if (isset($rowData[$colCode])) {
                echo $rowData[$colCode];
            }
            echo '</td>';
        }

        echo '</tr>';
    }

    abstract protected function _loadItems();
}