<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2017 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Luiz Tucillo <luiz.tucillo@e-smart.com.br>
 */

namespace B2W\SkyHub\View\Admin;


use B2W\SkyHub\Contract\Entity\OrderEntityInterface;
use B2W\SkyHub\View\Template;
use B2W\SkyHub\Model\Entity\Order\Shipment\TrackEntity;

/**
 * Class Order
 * @package B2W\SkyHub\View\Admin
 */
class Order extends Template
{
    /** @var OrderEntityInterface */
    protected $_order    = null;

    /**
     * SkyHub details to API
     */
    public function init()
    {
        if (!$this->getOrder()->getChannel()) {
            return;
        }

        $this->setTemplate('admin/order/details.php');
        add_meta_box(
            'woocommerce-b2w-order',
            _('Skyhub Order Details'),
            array($this, 'render'),
            OrderEntityInterface::POST_TYPE
        );

        $track = clone $this;
        $track->setTemplate('admin/order/details_track.php');
        add_meta_box(
            'woocommerce-b2w-order_shipping',
            _('Skyhub Order Shipping Details'),
            array($track, 'render'),
            OrderEntityInterface::POST_TYPE
        );
    }

    public function isEditable()
    {
        if ($this->getOrder()->getStatus()->getCode() == 'wc-cancelled') {
            return false;
        }
        return true;
    }

    /**
     * @return OrderEntityInterface
     * @throws \B2W\SkyHub\Exception\Data\RepositoryNotFound
     */
    public function getOrder()
    {
        if (is_null($this->_order)) {
            $postId = $_GET['post'];
            $this->_order = \App::repository(\App::REPOSITORY_ORDER)->one($postId);
        }

        return $this->_order;
    }
}
