<?php
/**
 * BSeller - B2W Companhia Digital
 *
 * DISCLAIMER
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @copyright     Copyright (c) 2019 B2W Companhia Digital. (http://www.bseller.com.br/)
 * @author        Tiago Tescaro <tiago.tescaro@b2wdigital.com>
 */
namespace B2W\SkyHub\View\Admin\Queue\Integration\SkyHub;

use B2W\SkyHub\View\Admin\GridAbstract;
use B2W\SkyHub\Exception\Exception;
use B2W\SkyHub\Model\Entity\QueueEntity;
use B2W\SkyHub\View\Admin\Admin;

class Grid extends GridAbstract
{
    /**
     * Return head table
     * 
     * @return Array
     */
    public function get_columns()
    {
        return Array(
            'id'            => __('ID', Admin::DOMAIN),
            'type'          => __('Type of Integration', Admin::DOMAIN),
            'created_at'    => __("Date Created", Admin::DOMAIN),
            'param'         => __("Parameters", Admin::DOMAIN),
        );
    }

    /**
     * Load data queue
     */
    protected function _loadItems()
    {
        $collection = \App::repository(\App::REPOSITORY_QUEUE)->getDataQueue();

        if (!$collection) {
            return false;
        }

        foreach ($collection as $obj) {
            $this->items[] = [
                'id' => $obj->getId(),
                'type' => $obj->getType(),
                'created_at' => $obj->getCreatedAt(),
                'param' => $obj->getParam()
            ];
        }
    }
}